## pngcrush 1.7.9

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 # macros --------------------------------------------------------------------
 
-GAS_VERSION := $(shell as --version | grep "GNU assembler" | sed -e 's/GNU assembler //' -e 's/ .*//')
-
 # uncomment these 2 lines only if you are using an external copy of libpng:
 PNGINC = /usr/local/include
 PNGLIB = /usr/local/lib
@@ -23,11 +21,8 @@
 LD = gcc
 RM = rm -f
 #CFLAGS = -I. -O -Wall
-#CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD
-# CFLAGS = -I. -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
-         -DGAS_VERSION="\"${GAS_VERSION}\""
-CFLAGS = -I${ZINC} -I. -g -O3 -fomit-frame-pointer -Wall -DPNG_USE_PNGGCCRD \
-#         -DGAS_VERSION="\"${GAS_VERSION}\""
+#CFLAGS = -I. -O3 -fomit-frame-pointer -Wall
+CFLAGS = -I${ZINC} -I. -g -O3 -fomit-frame-pointer -Wall
 # [note that -Wall is a gcc-specific compilation flag ("all warnings on")]
 LDFLAGS =
 O = .o
@@ -42,14 +37,14 @@
 
 # uncomment these 4 lines only if you are NOT using an external copy of zlib:
 # ZHDR = zlib.h
-# ZOBJS  = adler32$(O) compress$(O) crc32$(O) deflate$(O) gzio$(O) \
+# ZOBJS  = adler32$(O) compress$(O) crc32$(O) deflate$(O) \
 #  	 infback$(O) inffast$(O) inflate$(O) inftrees$(O) \
 #  	 trees$(O) uncompr$(O) zutil$(O)
 
 OBJS  = pngcrush$(O)
 #	png$(O) pngerror$(O) pngget$(O) pngmem$(O) \
 #	pngpread$(O) pngread$(O) pngrio$(O) pngrtran$(O) pngrutil$(O) \
-#	pngset$(O) pngtrans$(O) pngwio$(O) pngwrite$(O) pnggccrd$(O) \
+#	pngset$(O) pngtrans$(O) pngwio$(O) pngwrite$(O) \
 #	pngwtran$(O) pngwutil$(O) $(ZOBJS)
 
 EXES = $(PNGCRUSH)$(E)
@@ -59,7 +54,7 @@
 
 .c$(O): png.h cexcept.h $(ZHDR)
 	$(CC) -c $(CFLAGS) $<
-#.c$(O): png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)
+#.c$(O): png.h pngconf.h pngcrush.h cexcept.h pngpriv.h $(ZHDR)
 #	$(CC) -c $(CFLAGS) $<
