=== debian/changelog ===
pngcrush (1.7.9-1) unstable; urgency=low

  * New upstream release (1.7.9-nolib);
    - Fix crash if argument of -m is out of range (Closes: #561492).
  * Updated Standards-Version to 3.8.4 (no changes needed);
  * Convert package to the new format 3.0 (quilt);
    - Remove now unneeded debian/README.source.
  * Updated patches to conform to DEP-3.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Mar 2010 17:40:13 -0300

pngcrush (1.7.0-1) unstable; urgency=low

  * New upstream release (1.7.0-nolib);
  * Add README.source;
  * Updated Standards-Version to 3.8.3 (no changes needed);
  * Refreshed debian/patches/pngcrush_relocate_warning;

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 18 Aug 2009 17:59:48 -0300

pngcrush (1.6.19-1) unstable; urgency=low

  * New upstream release (1.6.19-nolib)
    - Fix erroneous png_error message about "original PNG could not be
      recovered" (Closes: #532281)
  * Upstream changelog is now distributed as an HTML file:
    - Updated debian/rules to install ChangeLog.html
  * Refreshed debian/patches/pngcrush_relocate_warning.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 09 Jun 2009 01:23:58 -0300

pngcrush (1.6.17-1) unstable; urgency=low

  * New upstream release (1.6.17-nolib).
    - debian/patches/add_Makefile: renamed to patch_Makefile
      since upstream now provides a makefile. Patch refreshed
      and comments added.
    - debian/patches/pngcrush_relocate_warning: patch refreshed and
      comments added.
    - create output with new timestamp by default instead of copying
      the input file timestamp; (viz. #510491).
    - see upstream Changelog for more details.
  * debian/copyright: Updated to reflect new dates for new sources.
  * debian/control: Standards Version bumped to 3.8.1. No other
    changes required.
  * debian/pngcrush.sgml: document the new options "-newtimestamp"
    and "-oldtimestamp" which supersede the old option "-time_stamp".
  * Remove misleading reference to CVE-2009-0040 in previous changelog
    entry.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 03 Jun 2009 07:03:51 +0530

pngcrush (1.6.15-1) unstable; urgency=low

  * New upstream release (1.6.15-nolib).
  * Fix previous changelog entry to note change
    to debian/pngcrush.sgml
  * debian/patches/pngcrush_relocate_warning: refreshed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Tue, 03 Mar 2009 10:26:04 +0530

pngcrush (1.6.13-1) unstable; urgency=low

  * New upstream release (1.6.13-nolib).
    - debian/patches/fix_itxt_param_handling: patch
      incorporated upstream so removed.
    - incorporates newer libpng features. 
    - added "-time_stamp" command line directive to ensure
      that output file has new timestamp. (Closes: #510491)
    - see upstream changelog for further details.
  * debian/patches/pngcrush_relocate_warning: refreshed.
  * debian/pngcrush.sgml: add entry for "-time_stamp" command
    line directive.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 26 Feb 2009 14:29:29 +0530

pngcrush (1.6.7-1) unstable; urgency=low

  * New upstream release (1.6.7-nolib).
    - Moved PNG_UINT_CHNK and some other defines from pngcrush.h to pngcrush.c
    - Reject invalid color_type or bit_depth. (Closes: #453721)
  * debian/patches/add_PNG_UINT_defs: patch removed as it is incorporated
    upstream.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 02 Jul 2008 12:25:49 +0530

pngcrush (1.6.6-1) unstable; urgency=low

  * New upstream release (1.6.6-nolib).
    - added dSIG support
    - non new gAMA chunk when writing sRGB chunk
  * Add Makefile since upstream has dropped it.
    - debian/patches/add_Makefile: patch adding the Makefile.
    - debian/rules: add new rule "clean-source" to clean-up using
      the Makefile. Make "clean" rule depend on this rule.
  * debian/patches:
    - fix_itxt_param_handling, pngcrush_relocate_warning:
      patches refreshed
    - png_export_pngcrush.diff, fix_Makefile: patches disabled
    - add_PNG_UINT_defs: patch to add some definitions required
      in pngcrush.c
  * debian/pngcrush.sgml:
    - commented out the "-cc"  and "-no_cc" options which are
      currently disabled upstream. Closes: #485497, #471162
    - expanded description of "Color Types" to indicate that some
      conversions may not work as expected. Closes: #485501.
    - documented "-keep" "-loco" and "-mng" options. Closes: #471159.
    - fixed absence of caret (^) on man page.
  * debian/control:
    - Standards Version: 3.8.0. No other changes required.
    - renamed XS-Vcs-Svn field to Vcs-Svn.
    - moved Homepage from description to its own field.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 11 Jun 2008 21:56:58 +0530

pngcrush (1.6.4-5) unstable; urgency=low

  * debian/control: Added XS-Vcs-Svn tag.
  * debian/patches:
    - fix_itxt_param_handling: pngcrush.c: itxt chunk may gobble 2 command line
      parameters. Closes: #442631.
    - replaced all Makefile patches with single patch fix_Makefile.
    - fix_makefile: defined a new variable "DEFINES" to ease
      compilation with Debian CFLAGS.
    - series: re-ordered patches to make Debian specific patches lower.
    - Refreshed all patches.
  * debian/pngcrush.sgml: modify to note that -itxt command needs
    "a" or "b" to be specified.
  * debian/rules:
    - run make during "build" with Debian CFLAGS. Closes: #443644.
    - fix "clean" rule to catch errors from "make clean".

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 24 Sep 2007 16:19:55 +0530

pngcrush (1.6.4-4) unstable; urgency=low

  * debian/watch: fixed sourceforge url.
  * debian/pngcrush.sgml: first line of synopsis now uses "infile
    outfile" instead of list of files. Closes: #411028.
  * debian/patches/pngcrush_relocate_warning: relocated warning about
    different versions to verbose header. Closes: #203020.
  * debian/control: changed all maintainer's email addresses.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat,  4 Aug 2007 06:37:51 +0530


