=== debian/control ===
Source: pngcrush
Section: graphics
Priority: optional
Maintainer: Kapil Hari Paranjape <kapil@debian.org> 
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>
Build-Depends: debhelper (>= 7), docbook-to-man, libpng12-dev, zlib1g-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pngcrush/
Standards-Version: 3.8.4
Homepage: http://pmt.sourceforge.net/pngcrush/

Package: pngcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: optimizes PNG (Portable Network Graphics) files
 Pngcrush is an optimizer for PNG (Portable Network Graphics) files. 
 Its main purpose is to reduce the size of the PNG IDAT data stream by trying
 various compression levels and PNG filter methods. It also can be used to
 remove unwanted ancillary chunks, or to add certain chunks including gAMA,
 tRNS, and textual chunks.
