=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"
	/usr/bin/docbook-to-man debian/pngcrush.sgml > debian/pngcrush.1

	touch build-stamp

clean-source:
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean 


clean: clean-source
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/pngcrush.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/pngcrush


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/pngcrush.1
	dh_installchangelogs ChangeLog.html
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
