## pngcrush 1.7.65

=== debian/changelog ===
pngcrush (1.7.65-0.1) unstable; urgency=low

  * NMU to fix the more serious problems with this dormant package.
  * New upstream release (Closes: #657855, #612934).
    - Should now build with libpng 1.5 (Closes: #648128).
    - No longer crashes when adding more than two text chunks (Closes: #678436).
    - Upstream has switched to .xz tarballs, follow suit.
    - patches/*: Normalize file names.
    - patches/local_Makefile_adjustments.diff: Refresh.
      Use -Wl,--as-needed to pull in -lm only if actually required.
      Do not attempt to override configuration macros defined by the
      system pngconf.h.
    - patches/local_version_skew_warning_only_if_verbose.diff: Refresh.
  * Build-depend on libpng-dev (Closes: #662471).
  * Bump to debhelper compatibility level 9 and dh-ify.
  * Install upstream changelog.
  * Standards-Version: 3.9.4 (no further changes required).

 -- Zack Weinberg <zackw@panix.com>  Mon, 01 Jul 2013 10:17:54 -0400
