## pngcrush 1.7.85

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 # macros --------------------------------------------------------------------
 
 # uncomment these 2 lines only if you are using an external copy of libpng:
-PNGINC = /usr/local/include
-PNGLIB = /usr/local/lib
+PNGINC = ${HOME}/include
+PNGLIB = ${HOME}/lib
 # uncomment these 2 lines only if you are using an external copy of zlib:
-ZINC = /usr/local/include
-ZLIB = /usr/local/lib
+ZINC = ${HOME}/include
+ZLIB = ${HOME}/lib
 
 CC = gcc
 LD = gcc
@@ -52,7 +52,7 @@
 
 # implicit make rules -------------------------------------------------------
 
-.c$(O): png.h cexcept.h $(ZHDR)
+.c$(O): cexcept.h $(ZHDR)
 	$(CC) -c $(CFLAGS) $<
 #.c$(O): png.h pngconf.h pngcrush.h cexcept.h pngpriv.h $(ZHDR)
 #	$(CC) -c $(CFLAGS) $<
@@ -62,9 +62,6 @@
 
 all:  $(EXES)
 
-png.h:
-	ln -s $(PNGINC)/png.h png.h
- 
 pngcrush$(O): pngcrush.c cexcept.h
 	$(CC) -c $(CFLAGS) $<
 # pngcrush$(O): pngcrush.c png.h pngconf.h pngcrush.h cexcept.h $(ZHDR)
