=== debian/changelog ===
pngcrush (1.7.85-1) unstable; urgency=medium

  * New upstream release.
    - Reworded confusing output words (Closes: #411032)
    - Removed --bit_depth options (Closes: #546267)
    - Fixes color changing bug with small palletes (Closes: #787744)
    - Fixes crash related to argv checks (Closes: #716149)
  * New maintainer.
    - Remove kapil@ from Uploaders (Closes: #738478).
  * Updated packaging location to git instead of svn.
  * Fixed watch file.
  * Updated standards version.

 -- Margarita Manterola <marga@debian.org>  Thu, 04 Jun 2015 22:21:43 +0200
