=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pngcrush
 Section: graphics
 Priority: optional
-Maintainer: Kapil Hari Paranjape <kapil@debian.org>
-Uploaders: Nelson A. de Oliveira <naoliv@debian.org>
+Maintainer: Margarita Manterola <marga@debian.org>
+Uploaders: Nelson A. de Oliveira <naoliv@debian.org>, Sven Mueller <debian@incase.de>
 Build-Depends: debhelper (>= 9), docbook-to-man, libpng-dev, zlib1g-dev
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pngcrush/
-Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pngcrush.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pngcrush.git
+Standards-Version: 3.9.6
 Homepage: http://pmt.sourceforge.net/pngcrush/
 
 Package: pngcrush
