=== debian/watch ===
version=3
http://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.xz
