=== debian/changelog ===
pngcrush (1.8.13-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Helmut Grohne ]
  * Fix FTCBFS: Also use triplet-prefixed gcc as LD.
    Closes: #850927
  * Mark pngcrush Multi-Arch: foreign.
    Closes: #928797

  [ Andreas Tille ]
  * Move packaging to Debian Phototools team
  * Do not build unused Adler32 code
    Closes: #1064160
  * Standards-Version: 4.6.2 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Remove bit_depth option from manpage since it was removed inside
    the code
    Closes: #832958, #964021
  * Recreate manpage using help2man to get current options of the binary
    Closes: #947765
  * Verify that options -q and -s are properly mentioned in recreated
    manpage
    Closes: #953528

 -- Andreas Tille <tille@debian.org>  Mon, 26 Feb 2024 14:50:14 +0100

pngcrush (1.8.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
  * Decide for latest upstream but found in upstream changelog:
      Version 1.7.87 (built with libpng-1.6.18 and zlib-1.2.8)
        Fixed a double-free bug (CVE-2015-7700). There was a "free" of the
        sPLT chunk structure in pngcrush and then again in png.c (Bug report
        by Brian Carpenter).
    Closes: #874109
  * Standards-Version: 4.3.0
  * Remove custom compression settings in debian/source/options
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 09:07:23 +0100

pngcrush (1.7.85-2) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:46:28 +0200
