=== debian/control ===
Source: pngcrush
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Margarita Manterola <marga@debian.org>,
           Sven Mueller <debian@incase.de>
Build-Depends: debhelper-compat (= 13), docbook-to-man, libpng-dev, zlib1g-dev
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngcrush
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngcrush.git
Standards-Version: 4.6.2
Homepage: http://pmt.sourceforge.net/pngcrush/
Rules-Requires-Root: no

Package: pngcrush
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: optimizes PNG (Portable Network Graphics) files
 Pngcrush is an optimizer for PNG (Portable Network Graphics) files.
 Its main purpose is to reduce the size of the PNG IDAT data stream by trying
 various compression levels and PNG filter methods. It also can be used to
 remove unwanted ancillary chunks, or to add certain chunks including gAMA,
 tRNS, and textual chunks.
