=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'LD=$$(CC)'
	sed -e '1,/^<pre>$$/d' -e '/<\/pre>/,$$d' < ChangeLog.html > changelog

override_dh_auto_clean:
	dh_auto_clean
	rm -f changelog
