=== debian/watch ===
version=4
https://sf.net/pmt/pngcrush-([\d\.]+)-nolib\.tar\.xz
